<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:spaceless>

	<nav class="navbar navbar-expand-lg">
		<f:link.page pageUid="{settings.rootId}" title="{settings.siteTitle}">
			<f:image src="{settings.siteLogo}" alt="{settings.siteTitle}" class="img-fluid" />
		</f:link.page>

		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar" aria-controls="navbars" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<f:comment>Ausgabe des Menüs Ebene 1</f:comment>
		<div class="collapse navbar-collapse mainmenu" id="navbar">
			<f:comment><f:cObject typoscriptObjectPath="lib.mainmenu" /></f:comment>

			<!-- Umsetzung in Fluid -->

			<ul class="nav navbar-nav navbar-right">
				<f:for each="{mainMenu}" as="mainMenuItem">
					<li class="nav-item dropdown nav-ebene1">
						<a class="nav-link dropdown-toggle{f:if(condition:'{mainMenuItem.active}', then: ' active')}" href="{mainMenuItem.link}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{mainMenuItem.title}</a>
						<f:if condition="{mainMenuItem.children}">
							<f:render section="subMenu" arguments="{subMenu: mainMenuItem.children}"/>
						</f:if>
					</li>
				</f:for>
			</ul>

		</div>
	</nav>

	<f:comment>Ausgabe des Untermenüs Ebene 2</f:comment>

	<f:section name="subMenu">
		<div class="dropdown-menu megamenu" aria-labelledby="dropdown02">
			<div class="row">

				<div class="tab col-4" id="nav-ebene2">
					<ul class="nav-ebene2">
						<f:for each="{subMenu}" as="subMenuItem" iteration="i">
							<li class="tablinks{f:if(condition:'{subMenuItem.current}', then: ' active')}" onmouseover="openContentL3(event, 'L3Element{subMenuItem.data.uid}_{i.index}')">
								<a href="{subMenuItem.link}">{subMenuItem.title}</a>
							</li>
						</f:for>
					</ul>
				</div>

				<div class="nav-ebene3 col-8">
					<f:for each="{subMenu}" as="subMenuItem" iteration="i">
						<div id="L3Element{subMenuItem.data.uid}_{i.index}" class="tabcontent">
							<div class="tabcontentbox">
								<div class="nav-ebene3">
									<h5>{subMenuItem.title}</h5>
									<f:for each="{subMenuExtra}" as="subMenuExtraItem">
										<li class="tablinks{f:if(condition:'{subMenuExtraItem.current}', then: ' active')}" >
											<a href="{subMenuExtraItem.link}">{subMenuExtraItem.title}</a>
										</li>
									</f:for>
								</div>
								<div class="imgbox">
									Bild
								</div>
							</div>
						</div>
					</f:for>
				</div>

			</div>
		</div>
	</f:section>

	<!-- Ende Umsetzung in Fluid -->
	</div>
	</nav>



</f:spaceless>
</html>
